package form_presenters

// |@@| C

import (
	"gardening/src/dat/forms"
	"gardening/src/lib/error"
	"gardening/src/lib/kit"
	"gardening/src/lib/presenter"
	"gitlab.com/ccyrillee/kitcla/goc"
)

type PerformImagesRoutineFormPresenter struct {
	Kit       *kit.Kit
	Presenter *presenter.Presenter
}

func (this *PerformImagesRoutineFormPresenter) GetFields() []*presenter.FormField {
	var formFields []*presenter.FormField
	return formFields
}
func (this *PerformImagesRoutineFormPresenter) FieldByKey(form *forms.PerformImagesRoutineForm, formField *presenter.FormField) goc.HTML {
	switch formField.Key {
	}
	panic(erro.N("Invalid form field").KV("key", formField.Key))
}
func (this *PerformImagesRoutineFormPresenter) Setup(form *forms.PerformImagesRoutineForm) []*presenter.FormField {
	fields := this.GetFields()
	return fields
}
